﻿<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="12.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="DebugEP|Win32">
      <Configuration>DebugEP</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="DebugEP|x64">
      <Configuration>DebugEP</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{82BE2FC5-B923-4117-A734-FF1407650976}</ProjectGuid>
    <RootNamespace>esys</RootNamespace>
    <Keyword>Win32Proj</Keyword>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='DebugEP|Win32'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <PlatformToolset>v120</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <PlatformToolset>v120</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <PlatformToolset>v120</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='DebugEP|x64'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <PlatformToolset>v120</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <PlatformToolset>v120</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <PlatformToolset>v120</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='DebugEP|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(VCTargetsPath)Microsoft.CPP.UpgradeFromVC71.props" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(VCTargetsPath)Microsoft.CPP.UpgradeFromVC71.props" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(VCTargetsPath)Microsoft.CPP.UpgradeFromVC71.props" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='DebugEP|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(VCTargetsPath)Microsoft.CPP.UpgradeFromVC71.props" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(VCTargetsPath)Microsoft.CPP.UpgradeFromVC71.props" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(VCTargetsPath)Microsoft.CPP.UpgradeFromVC71.props" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup>
    <_ProjectFileVersion>12.0.30501.0</_ProjectFileVersion>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <OutDir>..\..\lib\vc12_dll\</OutDir>
    <IntDir>$(ESYS_DEV)\build\vc12_dll\$(ProjectName)\$(Configuration)\</IntDir>
    <LinkIncremental>false</LinkIncremental>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <OutDir>..\..\lib\vc12_x64_dll\</OutDir>
    <IntDir>$(ESYS_DEV)\build\vc12_x64_dll\$(ProjectName)\$(Configuration)\</IntDir>
    <LinkIncremental>false</LinkIncremental>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <OutDir>..\..\lib\vc12_dll\</OutDir>
    <IntDir>$(ESYS_DEV)\build\vc12_dll\$(ProjectName)\$(Configuration)\</IntDir>
    <LinkIncremental>false</LinkIncremental>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <OutDir>..\..\lib\vc12_x64_dll\</OutDir>
    <IntDir>$(ESYS_DEV)\build\vc12_x64_dll\$(ProjectName)\$(Configuration)\</IntDir>
    <LinkIncremental>false</LinkIncremental>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='DebugEP|Win32'">
    <OutDir>..\..\lib\vc12_dll_ep\</OutDir>
    <IntDir>$(ESYS_DEV)\build\vc12_dll_ep\$(ProjectName)\$(Configuration)\</IntDir>
    <LinkIncremental>false</LinkIncremental>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='DebugEP|x64'">
    <OutDir>$(Platform)\$(Configuration)\</OutDir>
    <IntDir>$(Platform)\$(Configuration)\</IntDir>
    <LinkIncremental>false</LinkIncremental>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <PreBuildEvent>
      <Command>echo $(ESYS_WXWIN)
echo $(ESYS_POCO)
echo $(VCInstallDir)
echo $(WindowsSdkDir)
echo $(FrameworkSDKDir)
</Command>
    </PreBuildEvent>
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <AdditionalIncludeDirectories>..\..\include;$(ESYS_BOOST);$(ESYS_WXWIN)\include;$(ESYS_WXWIN)\contrib\include;$(ESYS_WXWIN)\lib\vc12_dll\mswud;$(ESYS_WXCTB)\include;$(ESYS_DBG_LOG)\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>WIN32;_DEBUG;_WINDOWS;_USRDLL;ESYS_EXPORTS;BOOST_PROCESS_WINDOWS_USE_NAMED_PIPE;BOOST_ALL_DYN_LINK;CTB_USE;__WIN32__;__WXMSW__;__WXDEBUG__;WXUSINGDLL;_CRT_SECURE_NO_DEPRECATE=1;_CRT_NON_CONFORMING_SWPRINTFS=1;_SCL_SECURE_NO_WARNINGS=1;DBG_LOG;DBG_LOG_USE;LOGMOD_USE;ESYS_STD_OSTREAM;ESYS_USE_WX;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MinimalRebuild>true</MinimalRebuild>
      <BasicRuntimeChecks>EnableFastChecks</BasicRuntimeChecks>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <PrecompiledHeaderFile>$(ProjectName)\$(ProjectName)_prec.h</PrecompiledHeaderFile>
      <PrecompiledHeaderOutputFile>$(IntDir)$(ProjectName).pch</PrecompiledHeaderOutputFile>
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>EditAndContinue</DebugInformationFormat>
    </ClCompile>
    <ResourceCompile>
      <PreprocessorDefinitions>WIN32;_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ResourceCompile>
    <Link>
      <AdditionalDependencies>winscard.lib;Setupapi.lib;uuid.lib;wxmsw30ud_core.lib;wxbase30ud.lib;wxmsw30ud_adv.lib;ctb30ud.lib;dbg_logd.lib;logmodd.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <OutputFile>$(OutDir)$(ProjectName)d.dll</OutputFile>
      <AdditionalLibraryDirectories>$(ESYS_BOOST)\lib32-msvc-12.0;$(ESYS_WXWIN)\lib\vc12_dll;$(ESYS_WXCTB)\lib\vc12_dll;$(ESYS_DBG_LOG)\lib\vc12_dll;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <ProgramDatabaseFile>$(OutDir)$(ProjectName)d.pdb</ProgramDatabaseFile>
      <SubSystem>Windows</SubSystem>
      <RandomizedBaseAddress>false</RandomizedBaseAddress>
      <DataExecutionPrevention />
      <ImportLibrary>$(OutDir)$(TargetName).lib</ImportLibrary>
      <TargetMachine>MachineX86</TargetMachine>
    </Link>
    <PostBuildEvent>
      <Command>copy $(OutDir)$(TargetFileName) $(ESYS_DEV)\bin\vc12_dll
</Command>
    </PostBuildEvent>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <PreBuildEvent>
      <Command />
    </PreBuildEvent>
    <Midl>
      <TargetEnvironment>X64</TargetEnvironment>
    </Midl>
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <AdditionalIncludeDirectories>..\..\include;$(ESYS_BOOST);$(ESYS_WXWIN)\include;$(ESYS_WXWIN)\contrib\include;$(ESYS_WXWIN)\lib\vc12_x64_dll\mswud;$(ESYS_WXCTB)\include;$(ESYS_DBG_LOG)\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>WIN32;_DEBUG;_WINDOWS;_USRDLL;ESYS_EXPORTS;BOOST_PROCESS_WINDOWS_USE_NAMED_PIPE;BOOST_ALL_DYN_LINK;CTB_USE;__WIN32__;__WXMSW__;__WXDEBUG__;WXUSINGDLL;_CRT_SECURE_NO_DEPRECATE=1;_CRT_NON_CONFORMING_SWPRINTFS=1;_SCL_SECURE_NO_WARNINGS=1;DBG_LOG;DBG_LOG_USE;LOGMOD_USE;ESYS_STD_OSTREAM;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MinimalRebuild>true</MinimalRebuild>
      <BasicRuntimeChecks>EnableFastChecks</BasicRuntimeChecks>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <PrecompiledHeaderFile>$(ProjectName)/$(ProjectName)_prec.h</PrecompiledHeaderFile>
      <PrecompiledHeaderOutputFile>$(IntDir)$(ProjectName).pch</PrecompiledHeaderOutputFile>
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
    </ClCompile>
    <ResourceCompile>
      <PreprocessorDefinitions>WIN32;_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ResourceCompile>
    <Link>
      <AdditionalDependencies>winscard.lib;Setupapi.lib;wxmsw30ud_core.lib;wxbase30ud.lib;wxmsw30ud_adv.lib;ctb30ud.lib;dbg_logd.lib;logmodd.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <OutputFile>$(OutDir)$(ProjectName)d.dll</OutputFile>
      <AdditionalLibraryDirectories>$(ESYS_BOOST)\lib64-msvc-12.0;$(ESYS_WXWIN)\lib\vc12_x64_dll;$(ESYS_WXCTB)\lib\vc12_x64_dll;$(ESYS_DBG_LOG)\lib\vc12_x64_dll;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <ProgramDatabaseFile>$(OutDir)$(ProjectName)d.pdb</ProgramDatabaseFile>
      <SubSystem>Windows</SubSystem>
      <RandomizedBaseAddress>false</RandomizedBaseAddress>
      <DataExecutionPrevention />
      <ImportLibrary>$(OutDir)$(TargetName).lib</ImportLibrary>
      <TargetMachine>MachineX64</TargetMachine>
    </Link>
    <PostBuildEvent>
      <Command>copy $(OutDir)$(TargetFileName) $(ESYS_DEV)\bin\vc12_x64_dll</Command>
    </PostBuildEvent>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <AdditionalIncludeDirectories>..\..\include;$(ESYS_BOOST);$(ESYS_WXWIN)\include;$(ESYS_WXWIN)\contrib\include;$(ESYS_WXWIN)\lib\vc12_dll\mswu;$(ESYS_WXCTB)\include;$(ESYS_DBG_LOG)\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>WIN32;NDEBUG;_WINDOWS;_USRDLL;ESYS_EXPORTS;BOOST_PROCESS_WINDOWS_USE_NAMED_PIPE;BOOST_ALL_DYN_LINK;CTB_USE;__WIN32__;__WXMSW__;WXUSINGDLL;_CRT_SECURE_NO_DEPRECATE=1;_CRT_NON_CONFORMING_SWPRINTFS=1;_SCL_SECURE_NO_WARNINGS=1;DBG_LOG;DBG_LOG_USE;LOGMOD_USE;ESYS_STD_OSTREAM;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <PrecompiledHeaderFile>$(ProjectName)/$(ProjectName)_prec.h</PrecompiledHeaderFile>
      <PrecompiledHeaderOutputFile>$(IntDir)$(ProjectName).pch</PrecompiledHeaderOutputFile>
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat />
    </ClCompile>
    <ResourceCompile>
      <PreprocessorDefinitions>WIN32;NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ResourceCompile>
    <Link>
      <AdditionalDependencies>winscard.lib;Setupapi.lib;wxmsw30u_core.lib;wxbase30u.lib;wxmsw30u_adv.lib;ctb30u.lib;dbg_log.lib;logmod.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <OutputFile>$(OutDir)$(ProjectName).dll</OutputFile>
      <AdditionalLibraryDirectories>$(ESYS_BOOST)\lib32-msvc-12.0;$(ESYS_WXWIN)\lib\vc12_dll;$(ESYS_WXCTB)\lib\vc12_dll;$(ESYS_DBG_LOG)\lib\vc12_dll;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <GenerateDebugInformation>false</GenerateDebugInformation>
      <ProgramDatabaseFile>$(OutDir)$(ProjectName).pdb</ProgramDatabaseFile>
      <SubSystem>Windows</SubSystem>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <RandomizedBaseAddress>false</RandomizedBaseAddress>
      <DataExecutionPrevention />
      <ImportLibrary>$(OutDir)$(TargetName).lib</ImportLibrary>
      <TargetMachine>MachineX86</TargetMachine>
    </Link>
    <PostBuildEvent>
      <Command>copy $(OutDir)$(TargetFileName) $(ESYS_DEV)\bin\vc12_dll</Command>
    </PostBuildEvent>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <Midl>
      <TargetEnvironment>X64</TargetEnvironment>
    </Midl>
    <ClCompile>
      <AdditionalIncludeDirectories>..\..\include;$(ESYS_BOOST);$(ESYS_WXWIN)\include;$(ESYS_WXWIN)\contrib\include;$(ESYS_WXWIN)\lib\vc12_x64_dll\mswu;$(ESYS_WXCTB)\include;$(ESYS_DBG_LOG)\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>WIN32;NDEBUG;_WINDOWS;_USRDLL;ESYS_EXPORTS;BOOST_PROCESS_WINDOWS_USE_NAMED_PIPE;BOOST_ALL_DYN_LINK;CTB_USE;__WIN32__;__WXMSW__;WXUSINGDLL;_CRT_SECURE_NO_DEPRECATE=1;_CRT_NON_CONFORMING_SWPRINTFS=1;_SCL_SECURE_NO_WARNINGS=1;DBG_LOG;DBG_LOG_USE;LOGMOD_USE;ESYS_STD_OSTREAM;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <PrecompiledHeaderFile>$(ProjectName)/$(ProjectName)_prec.h</PrecompiledHeaderFile>
      <PrecompiledHeaderOutputFile>$(IntDir)$(ProjectName).pch</PrecompiledHeaderOutputFile>
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat />
    </ClCompile>
    <ResourceCompile>
      <PreprocessorDefinitions>WIN32;NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ResourceCompile>
    <Link>
      <AdditionalDependencies>winscard.lib;Setupapi.lib;wxmsw30u_core.lib;wxbase30u.lib;wxmsw30u_adv.lib;ctb30u.lib;dbg_log.lib;logmod.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <OutputFile>$(OutDir)$(ProjectName).dll</OutputFile>
      <AdditionalLibraryDirectories>$(ESYS_BOOST)\lib64-msvc-12.0;$(ESYS_WXWIN)\lib\vc12_x64_dll;$(ESYS_WXCTB)\lib\vc12_x64_dll;$(ESYS_DBG_LOG)\lib\vc12_x64_dll;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <GenerateDebugInformation>false</GenerateDebugInformation>
      <ProgramDatabaseFile>$(OutDir)$(ProjectName).pdb</ProgramDatabaseFile>
      <SubSystem>Windows</SubSystem>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <RandomizedBaseAddress>false</RandomizedBaseAddress>
      <DataExecutionPrevention />
      <ImportLibrary>$(OutDir)$(TargetName).lib</ImportLibrary>
      <TargetMachine>MachineX64</TargetMachine>
    </Link>
    <PostBuildEvent>
      <Command>copy $(OutDir)$(TargetFileName) $(ESYS_DEV)\bin\vc12_x64_dll</Command>
    </PostBuildEvent>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='DebugEP|Win32'">
    <PreBuildEvent>
      <Command>echo $(ESYS_WXWIN)
echo $(ESYS_POCO)
echo $(VCInstallDir)
echo $(WindowsSdkDir)
echo $(FrameworkSDKDir)
</Command>
    </PreBuildEvent>
    <ClCompile>
      <AdditionalOptions>/GH /Gh %(AdditionalOptions)</AdditionalOptions>
      <Optimization>Disabled</Optimization>
      <AdditionalIncludeDirectories>..\..\include;$(ESYS_BOOST);$(ESYS_WXWIN)\include;$(ESYS_WXWIN)\contrib\include;$(ESYS_WXWIN)\lib\vc12_dll\mswud;$(ESYS_WXCTB)\include;$(ESYS_DBG_LOG)\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>WIN32;_DEBUG;_WINDOWS;_USRDLL;ESYS_EXPORTS;BOOST_PROCESS_WINDOWS_USE_NAMED_PIPE;BOOST_ALL_DYN_LINK;CTB_USE;__WIN32__;__WXMSW__;__WXDEBUG__;WXUSINGDLL;_CRT_SECURE_NO_DEPRECATE=1;_CRT_NON_CONFORMING_SWPRINTFS=1;_SCL_SECURE_NO_WARNINGS=1;DBG_LOG;DBG_LOG_USE;LOGMOD_USE;ESYS_STD_OSTREAM;ESYS_USE_WX;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MinimalRebuild>true</MinimalRebuild>
      <BasicRuntimeChecks>EnableFastChecks</BasicRuntimeChecks>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <PrecompiledHeaderFile>$(ProjectName)\$(ProjectName)_prec.h</PrecompiledHeaderFile>
      <PrecompiledHeaderOutputFile>$(IntDir)$(ProjectName).pch</PrecompiledHeaderOutputFile>
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>EditAndContinue</DebugInformationFormat>
    </ClCompile>
    <ResourceCompile>
      <PreprocessorDefinitions>WIN32;_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ResourceCompile>
    <Link>
      <AdditionalDependencies>EProfiler.lib;winscard.lib;Setupapi.lib;uuid.lib;wxmsw30ud_core.lib;wxbase30ud.lib;wxmsw30ud_adv.lib;ctb30ud.lib;dbg_logd.lib;logmodd.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <OutputFile>$(OutDir)$(ProjectName)d.dll</OutputFile>
      <AdditionalLibraryDirectories>$(ESYS_BOOST)\lib32-msvc-12.0;$(ESYS_WXWIN)\lib\vc12_dll;$(ESYS_WXCTB)\lib\vc12_dll;$(ESYS_DBG_LOG)\lib\vc12_dll;$(EPROFILER)\windows32-msvc-intel\lib;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <ProgramDatabaseFile>$(OutDir)$(ProjectName)d.pdb</ProgramDatabaseFile>
      <GenerateMapFile>true</GenerateMapFile>
      <MapFileName>$(OutDir)$(ProjectName)d.map</MapFileName>
      <SubSystem>Windows</SubSystem>
      <RandomizedBaseAddress>false</RandomizedBaseAddress>
      <DataExecutionPrevention />
      <ImportLibrary>$(OutDir)$(TargetName).lib</ImportLibrary>
      <TargetMachine>MachineX86</TargetMachine>
    </Link>
    <PostBuildEvent>
      <Command>copy $(OutDir)$(TargetFileName) $(ESYS_DEV)\bin\vc12_dll_ep
copy $(OutDir)$(ProjectName)d.map $(ESYS_DEV)\bin\vc12_dll_ep
</Command>
    </PostBuildEvent>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='DebugEP|x64'">
    <PreBuildEvent>
      <Command />
    </PreBuildEvent>
    <Midl>
      <TargetEnvironment>X64</TargetEnvironment>
    </Midl>
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <AdditionalIncludeDirectories>..\..\include;$(ESYS_BOOST);$(ESYS_WXWIN)\include;$(ESYS_WXWIN)\contrib\include;$(ESYS_WXWIN)\lib\vc12_x64_dll\mswud;$(ESYS_WXCTB)\include;$(ESYS_DBG_LOG)\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>WIN32;_DEBUG;_WINDOWS;_USRDLL;ESYS_EXPORTS;BOOST_PROCESS_WINDOWS_USE_NAMED_PIPE;BOOST_ALL_DYN_LINK;CTB_USE;__WIN32__;__WXMSW__;__WXDEBUG__;WXUSINGDLL;_CRT_SECURE_NO_DEPRECATE=1;_CRT_NON_CONFORMING_SWPRINTFS=1;_SCL_SECURE_NO_WARNINGS=1;DBG_LOG;DBG_LOG_USE;LOGMOD_USE;ESYS_STD_OSTREAM;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MinimalRebuild>true</MinimalRebuild>
      <BasicRuntimeChecks>EnableFastChecks</BasicRuntimeChecks>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <PrecompiledHeaderFile>$(ProjectName)/$(ProjectName)_prec.h</PrecompiledHeaderFile>
      <PrecompiledHeaderOutputFile>$(IntDir)$(ProjectName).pch</PrecompiledHeaderOutputFile>
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
    </ClCompile>
    <ResourceCompile>
      <PreprocessorDefinitions>WIN32;_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ResourceCompile>
    <Link>
      <AdditionalDependencies>winscard.lib;Setupapi.lib;wxmsw30ud_core.lib;wxbase30ud.lib;wxmsw30ud_adv.lib;ctb30ud.lib;dbg_logd.lib;logmodd.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <OutputFile>$(OutDir)$(ProjectName)d.dll</OutputFile>
      <AdditionalLibraryDirectories>$(ESYS_BOOST)\lib64-msvc-12.0;$(ESYS_WXWIN)\lib\vc12_x64_dll;$(ESYS_WXCTB)\lib\vc12_x64_dll;$(ESYS_DBG_LOG)\lib\vc12_x64_dll;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <ProgramDatabaseFile>$(OutDir)$(ProjectName)d.pdb</ProgramDatabaseFile>
      <SubSystem>Windows</SubSystem>
      <RandomizedBaseAddress>false</RandomizedBaseAddress>
      <DataExecutionPrevention />
      <ImportLibrary>$(OutDir)$(TargetName).lib</ImportLibrary>
      <TargetMachine>MachineX64</TargetMachine>
    </Link>
    <PostBuildEvent>
      <Command>copy $(OutDir)$(TargetFileName) $(ESYS_DEV)\bin\vc12_x64_dll</Command>
    </PostBuildEvent>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="..\..\src\esys\arduino\logger.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='DebugEP|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='DebugEP|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|x64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="..\..\src\esys\arduino\task.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='DebugEP|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='DebugEP|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|x64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="..\..\src\esys\buffer.cpp" />
    <ClCompile Include="..\..\src\esys\connection.cpp" />
    <ClCompile Include="..\..\src\esys\connectioninfo.cpp" />
    <ClCompile Include="..\..\src\esys\connectionusbinfo.cpp" />
    <ClCompile Include="..\..\src\esys\esys.cpp" />
    <ClCompile Include="..\..\src\esys\esys_dll.cpp" />
    <ClCompile Include="..\..\src\esys\esys_prec.cpp">
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='DebugEP|Win32'">Create</PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='DebugEP|x64'">Create</PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">Create</PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">Create</PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">Create</PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Release|x64'">Create</PrecompiledHeader>
    </ClCompile>
    <ClCompile Include="..\..\src\esys\loggerbase.cpp" />
    <ClCompile Include="..\..\src\esys\multios\serialportimplboost.cpp" />
    <ClCompile Include="..\..\src\esys\multios\serialportimplmngr.cpp" />
    <ClCompile Include="..\..\src\esys\multios\serialportimplwxctb.cpp" />
    <ClCompile Include="..\..\src\esys\multios\serialportmultios.cpp" />
    <ClCompile Include="..\..\src\esys\multios\taskboost.cpp" />
    <ClCompile Include="..\..\src\esys\multios\taskboostimpl.cpp" />
    <ClCompile Include="..\..\src\esys\multios\taskwx.cpp" />
    <ClCompile Include="..\..\src\esys\multios\taskwximpl.cpp" />
    <ClCompile Include="..\..\src\esys\multios\taskwxthread.cpp" />
    <ClCompile Include="..\..\src\esys\nfc\desfire.cpp" />
    <ClCompile Include="..\..\src\esys\nfc\desfireapp.cpp" />
    <ClCompile Include="..\..\src\esys\nfc\desfirefile.cpp" />
    <ClCompile Include="..\..\src\esys\nfc\nfccardbase.cpp" />
    <ClCompile Include="..\..\src\esys\nfc\nfcmngrbase.cpp" />
    <ClCompile Include="..\..\src\esys\nfc\nfcreaderbase.cpp" />
    <ClCompile Include="..\..\src\esys\nfc\win32\nfccard.cpp" />
    <ClCompile Include="..\..\src\esys\nfc\win32\nfcmngr.cpp" />
    <ClCompile Include="..\..\src\esys\nfc\win32\nfcreader.cpp" />
    <ClCompile Include="..\..\src\esys\pointer.cpp" />
    <ClCompile Include="..\..\src\esys\ringbuffer.cpp" />
    <ClCompile Include="..\..\src\esys\serialport.cpp" />
    <ClCompile Include="..\..\src\esys\serialportimpl.cpp" />
    <ClCompile Include="..\..\src\esys\taskbase.cpp" />
    <ClCompile Include="..\..\src\esys\tasklet.cpp" />
    <ClCompile Include="..\..\src\esys\unix\udevenum.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='DebugEP|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='DebugEP|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|x64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="..\..\src\esys\unix\usbenum.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='DebugEP|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='DebugEP|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|x64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="..\..\src\esys\usbaddr.cpp" />
    <ClCompile Include="..\..\src\esys\usbdevinfo.cpp" />
    <ClCompile Include="..\..\src\esys\usbdevinfobase.cpp" />
    <ClCompile Include="..\..\src\esys\usbdevserialportinfo.cpp" />
    <ClCompile Include="..\..\src\esys\usbdevserialportinfobase.cpp" />
    <ClCompile Include="..\..\src\esys\usbenumbase.cpp" />
    <ClCompile Include="..\..\src\esys\win32\usbenum.cpp" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="..\..\doc\src\esys\installation.h" />
    <ClInclude Include="..\..\doc\src\main.h" />
    <ClInclude Include="..\..\include\esys\arduino\logger.h" />
    <ClInclude Include="..\..\include\esys\arduino\setup.h" />
    <ClInclude Include="..\..\include\esys\arduino\task.h" />
    <ClInclude Include="..\..\include\esys\arrayinit.h" />
    <ClInclude Include="..\..\include\esys\assert.h" />
    <ClInclude Include="..\..\include\esys\buffer.h" />
    <ClInclude Include="..\..\include\esys\connection.h" />
    <ClInclude Include="..\..\include\esys\connectioninfo.h" />
    <ClInclude Include="..\..\include\esys\connectionusbinfo.h" />
    <ClInclude Include="..\..\include\esys\constnamed.h" />
    <ClInclude Include="..\..\include\esys\constnamedid.h" />
    <ClInclude Include="..\..\include\esys\em\constnamed.h" />
    <ClInclude Include="..\..\include\esys\em\constnamedid.h" />
    <ClInclude Include="..\..\include\esys\em\setup.h" />
    <ClInclude Include="..\..\include\esys\esys.h" />
    <ClInclude Include="..\..\include\esys\esys_defs.h" />
    <ClInclude Include="..\..\include\esys\esys_prec.h" />
    <ClInclude Include="..\..\include\esys\inttypes.h" />
    <ClInclude Include="..\..\include\esys\logger.h" />
    <ClInclude Include="..\..\include\esys\loggerbase.h" />
    <ClInclude Include="..\..\include\esys\multios\constnamed.h" />
    <ClInclude Include="..\..\include\esys\multios\constnamedid.h" />
    <ClInclude Include="..\..\include\esys\multios\serialportimplboost.h" />
    <ClInclude Include="..\..\include\esys\multios\serialportimplmngr.h" />
    <ClInclude Include="..\..\include\esys\multios\serialportimplwxctb.h" />
    <ClInclude Include="..\..\include\esys\multios\task.h" />
    <ClInclude Include="..\..\include\esys\multios\taskboost.h" />
    <ClInclude Include="..\..\include\esys\multios\taskboostimpl.h" />
    <ClInclude Include="..\..\include\esys\multios\taskwx.h" />
    <ClInclude Include="..\..\include\esys\multios\taskwximpl.h" />
    <ClInclude Include="..\..\include\esys\multios\taskwxthread.h" />
    <ClInclude Include="..\..\include\esys\nfc\desfire.h" />
    <ClInclude Include="..\..\include\esys\nfc\desfireapp.h" />
    <ClInclude Include="..\..\include\esys\nfc\desfirefile.h" />
    <ClInclude Include="..\..\include\esys\nfc\nfccard.h" />
    <ClInclude Include="..\..\include\esys\nfc\nfccardbase.h" />
    <ClInclude Include="..\..\include\esys\nfc\nfcmngr.h" />
    <ClInclude Include="..\..\include\esys\nfc\nfcmngrbase.h" />
    <ClInclude Include="..\..\include\esys\nfc\nfcreader.h" />
    <ClInclude Include="..\..\include\esys\nfc\nfcreaderbase.h" />
    <ClInclude Include="..\..\include\esys\nfc\win32\nfccard.h" />
    <ClInclude Include="..\..\include\esys\nfc\win32\nfcmngr.h" />
    <ClInclude Include="..\..\include\esys\nfc\win32\nfcreader.h" />
    <ClInclude Include="..\..\include\esys\pointer.h" />
    <ClInclude Include="..\..\include\esys\ringbuffer.h" />
    <ClInclude Include="..\..\include\esys\serialport.h" />
    <ClInclude Include="..\..\include\esys\serialportimpl.h" />
    <ClInclude Include="..\..\include\esys\setup.h" />
    <ClInclude Include="..\..\include\esys\staticitem.h" />
    <ClInclude Include="..\..\include\esys\staticlist.h" />
    <ClInclude Include="..\..\include\esys\task.h" />
    <ClInclude Include="..\..\include\esys\taskbase.h" />
    <ClInclude Include="..\..\include\esys\tasklet.h" />
    <ClInclude Include="..\..\include\esys\types.h" />
    <ClInclude Include="..\..\include\esys\unix\udevenum.h" />
    <ClInclude Include="..\..\include\esys\unix\usbenum.h" />
    <ClInclude Include="..\..\include\esys\usbaddr.h" />
    <ClInclude Include="..\..\include\esys\usbdevinfo.h" />
    <ClInclude Include="..\..\include\esys\usbdevinfobase.h" />
    <ClInclude Include="..\..\include\esys\usbdevserialportinfo.h" />
    <ClInclude Include="..\..\include\esys\usbdevserialportinfobase.h" />
    <ClInclude Include="..\..\include\esys\usbenum.h" />
    <ClInclude Include="..\..\include\esys\usbenumbase.h" />
    <ClInclude Include="..\..\include\esys\version.h" />
    <ClInclude Include="..\..\include\esys\version_defs.h" />
    <ClInclude Include="..\..\include\esys\win32\setup.h" />
    <ClInclude Include="..\..\include\esys\win32\usbenum.h" />
  </ItemGroup>
  <ItemGroup>
    <None Include="..\..\configure.ac" />
    <None Include="..\..\include\esys\unix\setup.h.in" />
    <None Include="..\..\Makefile.am" />
    <None Include="..\..\samples\Makefile.am" />
    <None Include="..\..\samples\test01\Makefile.am" />
    <None Include="..\..\samples\test01\src\Makefile.am" />
    <None Include="..\..\samples\test01\src\test01\Makefile.am" />
    <None Include="..\..\src\esys\board\arduino\Makefile.am" />
    <None Include="..\..\src\esys\board\Makefile.am" />
    <None Include="..\..\src\esys\Makefile.am" />
    <None Include="..\..\src\esys\multios\Makefile.am" />
    <None Include="..\..\src\esys\unix\Makefile.am" />
    <None Include="..\..\src\esys_t\Makefile.am" />
    <None Include="..\..\src\Makefile.am" />
    <CustomBuild Include="..\astyle.bat">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='DebugEP|x64'">true</ExcludedFromBuild>
      <Command Condition="'$(Configuration)|$(Platform)'=='DebugEP|x64'">set
call %(FullPath)
</Command>
      <Outputs Condition="'$(Configuration)|$(Platform)'=='DebugEP|x64'">nothing;%(Outputs)</Outputs>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">true</ExcludedFromBuild>
      <Command Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">set
call %(FullPath)
</Command>
      <Outputs Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">nothing;%(Outputs)</Outputs>
    </CustomBuild>
  </ItemGroup>
  <ItemGroup>
    <ResourceCompile Include="..\..\res\esys.rc">
      <AdditionalIncludeDirectories Condition="'$(Configuration)|$(Platform)'=='DebugEP|Win32'">..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <AdditionalIncludeDirectories Condition="'$(Configuration)|$(Platform)'=='DebugEP|x64'">..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <AdditionalIncludeDirectories Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <AdditionalIncludeDirectories Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ResourceCompile>
  </ItemGroup>
  <ItemGroup>
    <Text Include="..\..\info.txt" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>